//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include "RVEdit.hpp"
#include "RichView.hpp"
#include "RVScroll.hpp"
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include "RVStyle.hpp"
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TRichViewEdit *RichViewEdit1;
	TPanel *Panel1;
	TSpeedButton *SpeedButton1;
	TCheckBox *CheckBox1;
	TRVStyle *RVStyle1;
	void __fastcall SpeedButton1Click(TObject *Sender);
	void __fastcall RichViewEdit1Jump(TObject *Sender, int id);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall CheckBox1Click(TObject *Sender);
        void __fastcall RichViewEdit1StyleConversion(
          TCustomRichViewEdit *Sender, int StyleNo, int UserData,
          bool AppliedToText, int &NewStyleNo);
        void __fastcall RichViewEdit1KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
private:	// User declarations
        void SetTargetToSelection(const UnicodeString Target);
        UnicodeString GetTargetFromSelection();
        void ExpandSelectionToHyperlink();
        int GetHypertextStyleNo(int StyleNo);
        int GetNonHypertextStyleNo(int StyleNo);
        void TerminateHyperlink();        
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
 